Skip to main content
GET
/
profiles
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const profile of client.profiles.list()) {
  console.log(profile.id);
}
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Limit the number of profiles to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of profiles to return.

Required range: x >= 0
query
string

Search profiles by name or ID.

Response

List of profiles

id
string
required

Unique identifier for the profile

created_at
string<date-time>
required

Timestamp when the profile was created

name
string | null

Optional, easier-to-reference name for the profile

updated_at
string<date-time>

Timestamp when the profile was last updated

last_used_at
string<date-time>

Timestamp when the profile was last used